Package com.emc.d2fs.services.d2_relation_service

# Class CreateRelationRequest

java.lang.Object
com.emc.d2fs.services.d2_relation_service.CreateRelationRequest

All Implemented Interfaces:
  `Serializable`

public class CreateRelationRequest extends Object implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://www.emc.com/d2fs/models/context}context"/>
           </sequence>
           <attribute name="childId" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="parentId" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="relationName" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="linkType" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="description" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CreateRelationRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getChildId()`
  Gets the value of the childId property.
  `Context`
  `getContext()`
  Gets the value of the context property.
  `String`
  `getDescription()`
  Gets the value of the description property.
  `String`
  `getLinkType()`
  Gets the value of the linkType property.
  `String`
  `getParentId()`
  Gets the value of the parentId property.
  `String`
  `getRelationName()`
  Gets the value of the relationName property.
  `void`
  `setChildId(String value)`
  Sets the value of the childId property.
  `void`
  `setContext(Context value)`
  Sets the value of the context property.
  `void`
  `setDescription(String value)`
  Sets the value of the description property.
  `void`
  `setLinkType(String value)`
  Sets the value of the linkType property.
  `void`
  `setParentId(String value)`
  Sets the value of the parentId property.
  `void`
  `setRelationName(String value)`
  Sets the value of the relationName property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CreateRelationRequest

    public CreateRelationRequest()

- ## Method Details

  - ### getContext

    public Context getContext()
    Gets the value of the context property.
    Returns:
      possible object is `Context`

  - ### setContext

    public void setContext(Context value)
    Sets the value of the context property.
    Parameters:
      `value` - allowed object is `Context`

  - ### getChildId

    public String getChildId()
    Gets the value of the childId property.
    Returns:
      possible object is `String`

  - ### setChildId

    public void setChildId(String value)
    Sets the value of the childId property.
    Parameters:
      `value` - allowed object is `String`

  - ### getParentId

    public String getParentId()
    Gets the value of the parentId property.
    Returns:
      possible object is `String`

  - ### setParentId

    public void setParentId(String value)
    Sets the value of the parentId property.
    Parameters:
      `value` - allowed object is `String`

  - ### getRelationName

    public String getRelationName()
    Gets the value of the relationName property.
    Returns:
      possible object is `String`

  - ### setRelationName

    public void setRelationName(String value)
    Sets the value of the relationName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getLinkType

    public String getLinkType()
    Gets the value of the linkType property.
    Returns:
      possible object is `String`

  - ### setLinkType

    public void setLinkType(String value)
    Sets the value of the linkType property.
    Parameters:
      `value` - allowed object is `String`

  - ### getDescription

    public String getDescription()
    Gets the value of the description property.
    Returns:
      possible object is `String`

  - ### setDescription

    public void setDescription(String value)
    Sets the value of the description property.
    Parameters:
      `value` - allowed object is `String`